// 6/98  Steve Ludtke this generates a simple stick model with c4
// symmetry to use as a starting model for Ryr reconstructions

#include <stdio.h>
#include <math.h>
#include <time.h>
#include "EMData.h"
#include "List.h"
#include "util.h"


main(int argc, char *argv[]) {
int i,j,k,l;
EMData *d;
float *dat,r;
long t;

if (argc!=2) { printf("tst.c\nUsage: tst <output file>\n"); exit(0); }

d=new EMData;
d->setSize(110,110,110);

dat=d->getData();
l=0;
for (k=-55; k<55; k++) {
	for (j=-55; j<55; j++) {
		for (i=-55; i<55; i++,l++) {
			dat[l]=0;
			r=sqrt(hypot3((i+0)/20.0,(j+0)/15.0,(k-16)/20.0));
			dat[l]+=exp(-r*r);
			r=sqrt(hypot3((i+0)/20.0,(j+0)/15.0,(k+16)/20.0));
			dat[l]+=exp(-r*r);
		}
	}
}
d->doneData();
d->update();


d->writeMRC(argv[1]);
}
