#include <qlist.h>
#include "CtfData.h"


struct MicScop{		float AccVolt; float Cs;
				float Pre ;float quad ; float linear;
				float defocus ;float phi ; float Amp; float Bfactor; };

void ctfstuff(int NumCurves, int NumPoints,MicScop* MicAll,float *sData,float *IntData,float *SFData);



void fitQ(QList<CtfData> *list) {
int i;
CtfData *tmp = list->at(0);
int kCurve;

int NumCurves = list->count();
int NumPoints = tmp -> steps();


float *sData	= (float *) calloc(NumPoints,sizeof(float)) ; 
float *SFData	= (float *) calloc(NumPoints, sizeof(float) );
float *IntData	= (float *) calloc(NumCurves*NumPoints,sizeof(float *)) ;
MicScop * MicAll =  (MicScop *) malloc(NumCurves*sizeof(MicScop));



for (kCurve=0; kCurve <NumCurves; kCurve++) {


	tmp=list->at(kCurve);
	
	MicAll[kCurve].Cs = 1.e7 *tmp ->Cs;
	MicAll[kCurve].AccVolt=1000 *tmp->V;

	for (int p=0; p < NumPoints; p++) {
		if (kCurve==0) sData[p]=tmp->getData()->dataAt(0,p);
		IntData[p+kCurve*NumPoints] =tmp->getData()->dataAt(10,p);
	}

}

ctfstuff(NumCurves, NumPoints,MicAll,sData,IntData,SFData);



for (kCurve=0; kCurve <NumCurves; kCurve++) {

	tmp=list->at(kCurve);
	

	tmp ->setImParm(MicAll[kCurve].AccVolt/1000.,MicAll[kCurve].Cs*1.e-7,tmp->sstep,tmp->smax);	
	tmp->setSigParm(MicAll[kCurve].defocus*1.e-4,MicAll[kCurve].Bfactor/2., sqrt(MicAll[kCurve].Amp), 100.*sin(MicAll[kCurve].phi),0);
	tmp -> setNoiseParm(0,MicAll[kCurve].linear,MicAll[kCurve].Pre,2.*sqrt(MicAll[kCurve].quad)/PI);

}


}
