#ifndef PlotCtf_included
#define PlotCtf_included

#include "qlist.h"
#include "PlotCtfData.h"
#include "CtfData.h"

class PlotCtf : public PlotCtfData
{
    Q_OBJECT

public:

    PlotCtf(QWidget* parent = NULL,const char* name = NULL);
    virtual ~PlotCtf();

	virtual void resizeEvent ( QResizeEvent * ) ;
	void setCurrent(CtfData *c);

	QList<QColor> colors;
	QList<QColor> colors2;

	QListBox *data;
	CtfData *current;

	Axes2d* axes2;

	int mode,mode2;

public slots:
	void print();
	void setData(QListBox *dat);
	void replot();
	void newplots();
	void newplots2();
	void newmode();
	void newmode2();
};

inline void PlotCtf::setData(QListBox *dat) { data=dat; }
inline void PlotCtf::setCurrent(CtfData *c) { current=c; }
#endif // PlotCtf_included
