#include "PyList.h"
#include <boost/python/detail/api_placeholder.hpp>


void list2array(const PyList& l, float* array)
{
    if (!array) {
	return;
    }
    for (int i = 0; i < python::len(l); i++) {
	array[i] = python::extract<float>(l[i]);
	
    }
}

void list2array(const PyList& l, const char** array)
{
    if (!array) {
	return;
    }
    for (int i = 0; i < python::len(l); i++) {
	array[i] = python::extract<const char*>(l[i]);
	
    }
}


void array2list(const float* array, PyList& l, int nitems)
{
    if (!array) {
	return;
    }

    if (nitems != 0) {
	for (int i = 0; i < nitems; i++) {
	    l.append(array[i]);
	}
    }
    else {    
	for (int i = 0; i < python::len(l); i++) {
	    l[i] = array[i];
	}
    }
}
